Package org.globus.gsi.stores

# Class ResourceProxyCredential

java.lang.Object
org.globus.gsi.stores.AbstractResourceSecurityWrapper<X509Credential>
org.globus.gsi.stores.ResourceProxyCredential

All Implemented Interfaces:
  `CredentialWrapper`, `SecurityObjectWrapper<X509Credential>`, `Storable`

public class ResourceProxyCredential extends AbstractResourceSecurityWrapper<X509Credential> implements CredentialWrapper
JGLOBUS-87 : document me

Author:
  Tom Howe

## Field Summary

### Fields inherited from class org.globus.gsi.stores.AbstractResourceSecurityWrapper

`globusResolver, globusResource`

## Constructor Summary

Constructors
Constructor
Description
`ResourceProxyCredential(boolean inMemory, GlobusResource globusResource, X509Credential object)`
`ResourceProxyCredential(String locationPattern)`
`ResourceProxyCredential(String filename, X509Credential object)`
`ResourceProxyCredential(GlobusResource globusResource)`

## Method Summary

Modifier and Type
Method
Description
`protected X509Credential`
`create(GlobusResource globusResource)`
`X509Credential`
`getCredential()`
`void`
`store()`

### Methods inherited from class org.globus.gsi.stores.AbstractResourceSecurityWrapper

`getAlias, getFile, getGlobusResource, getResourceURL, getSecurityObject, hasChanged, init, init, init, init, refresh`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.globus.gsi.stores.SecurityObjectWrapper

`getAlias, getSecurityObject, hasChanged, refresh`

## Constructor Details

### ResourceProxyCredential

public ResourceProxyCredential(String locationPattern) throws ResourceStoreException

Throws:
  `ResourceStoreException`

### ResourceProxyCredential

public ResourceProxyCredential(GlobusResource globusResource) throws ResourceStoreException

Throws:
  `ResourceStoreException`

### ResourceProxyCredential

public ResourceProxyCredential(String filename, X509Credential object) throws ResourceStoreException

Throws:
  `ResourceStoreException`

### ResourceProxyCredential

public ResourceProxyCredential(boolean inMemory, GlobusResource globusResource, X509Credential object) throws ResourceStoreException

Throws:
  `ResourceStoreException`

## Method Details

### getCredential

public X509Credential getCredential() throws ResourceStoreException

Specified by:
  `getCredential` in interface `CredentialWrapper`
Throws:
  `ResourceStoreException`

### create

protected X509Credential create(GlobusResource globusResource) throws ResourceStoreException

Specified by:
  `create` in class `AbstractResourceSecurityWrapper<X509Credential>`
Throws:
  `ResourceStoreException`

### store

public void store() throws ResourceStoreException

Specified by:
  `store` in interface `Storable`
Throws:
  `ResourceStoreException`